
Orangutan - Enhancement #1075

Separate Orangutan core (reusable bot code) from Redmine code

30 Oct 2010 13:44 - Andriy Lesyuk

Status: In Progress Start date: 08 Dec 2010

Priority: Minor Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: 2.00   

Description

Orangutan architecture is quite flexible and allows to create bots quickly and easy. So the bot platform can be much more popular

than Orangutan Redmine bot...

However currently Orangutan and its Redmine part are actually the same. For example, one of the core objects is Query which is

responsible for accessing DB. Many bots won’t need it - so it should be “removed” from the core.

Also some of contexts require extending core objects like Date etc. I think it can be done by “monkey patching” technique...

History

#1 - 08 Dec 2010 19:22 - Andriy Lesyuk

- Status changed from Open to In Progress

- Start date changed from 30 Oct 2010 to 08 Dec 2010

#2 - 02 Feb 2011 16:31 - Andriy Lesyuk

- Target version set to 2.00

#3 - 03 Feb 2011 19:28 - Andriy Lesyuk

- Subject changed from Separate Orangutan core into bot platform to Separate Orangutan core (reusable bot code) from Redmine code

#4 - 03 Mar 2011 12:31 - Andriy Lesyuk

- Tracker changed from Improvement to Enhancement
